(function() {
    tinymce.create('tinymce.plugins.recentposts', {
        init : function(ed, url) {
            ed.addButton('recentposts', {
                title : 'Recent posts',
                image : url+'/related.png',
                onclick : function() {
                    var title = prompt("heading", "Recent posts");
                    var np = prompt("Number of posts to display", "4");
                    if (title != null && title != '' && np != null && np != '') {
                        ed.execCommand('mceInsertContent', false, 
                            '[recent-posts title="'+title+'" np="'+np+'"]');
                       
                    } else {
                        ed.execCommand('mceInsertContent', false, 
                            '[recent-posts]');
                    }
                }
            });
        }
    });
    tinymce.PluginManager.add('recentposts', tinymce.plugins.recentposts);
})();

(function() {
    tinymce.create('tinymce.plugins.calltoaction', {
        init : function(ed, url) {
            ed.addButton('calltoaction', {
                title : 'Call to action',
                image : url+'/calltoaction.png',
                onclick : function() {
                    var link = prompt("destination page", "http://");
                    var caption = prompt("Text on the button", "buy now");
                    var position = prompt("position of the button (right or left)", "right");
                    if (link != null && link != '' && caption != null && caption != '' && position != null && position != '') {
                        ed.execCommand('mceInsertContent', false, 
                            '[action link="'+link+'" position="'+position+'" caption="'+caption+'"]your text here [/action]');
                       
                    } else {
                        ed.execCommand('mceInsertContent', false, 
                            '[action]yout text here[/action]');
                    }
                }
            });
        }
    });
    tinymce.PluginManager.add('calltoaction', tinymce.plugins.calltoaction);
})();

(function() {
    tinymce.create('tinymce.plugins.features', {
        init : function(ed, url) {
            ed.addButton('features', {
                title : 'Features',
                image : url+'/features.png',
                onclick : function() {
                    var align = prompt("text alignement (left,center)", "left");
                    if (align != null && align != '') {
                        ed.execCommand('mceInsertContent', false, 
                            '[features align="'+align+'"][fcol title="title here" text="text here"]add image here[/fcol][/features]');
                       
                    } else {
                        ed.execCommand('mceInsertContent', false, 
                            '[features]yout text here[/features]');
                    }
                }
            });
        }
    });
    tinymce.PluginManager.add('features', tinymce.plugins.features);
})();

