jQuery(document).ready( function($) {

	function media_upload(button_class,textfield_class) {
		var _custom_media = true,
		_orig_send_attachment = wp.media.editor.send.attachment;
		$('body').on('click', button_class, function(e) {
			var button_id ='#'+$(this).attr('id');
			var self = $(button_id);
			var send_attachment_bkp = wp.media.editor.send.attachment;
			var button = $(button_id);
			var id = button.attr('id').replace('_button', '');
			_custom_media = true;
			wp.media.editor.send.attachment = function(props,attachment){
				if ( _custom_media ) {
					$(textfield_class).val(attachment.url);
				} else {
					return _orig_send_attachment.apply( button_id,[props, attachment] );
				}
			}
			wp.media.editor.open(button);
			return false;
		});
	}
	
	media_upload('.button1.button','.input_url1');
	media_upload('.button2.button','.input_url2');
	media_upload('.button3.button','.input_url3');
	media_upload('.button4.button','.input_url4');
	media_upload('.button5.button','.input_url5');
	media_upload('.button6.button','.input_url6');
	media_upload('.button7.button','.input_url7');
	media_upload('.button8.button','.input_url8');
	media_upload('.button9.button','.input_url9');
	media_upload('.button10.button','.input_url10');

});