<?php 
function wst_register_shortcode_buttons( $buttons ) {
array_push( $buttons, "recentposts" );
array_push( $buttons, "calltoaction" );
array_push( $buttons, "features" );
return $buttons;
}
function wst_add_shortcode_plugins( $plugin_array ) {
$plugin_array['recentposts'] = get_template_directory_uri().'/shortcodes/js/shortcodes.js';
$plugin_array['calltoaction'] = get_template_directory_uri().'/shortcodes/js/shortcodes.js';
$plugin_array['features'] = get_template_directory_uri().'/shortcodes/js/shortcodes.js';
return $plugin_array;
}

function wst_buttons() {
if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') ) {
return;
}
if ( get_user_option('rich_editing') == 'true' ) {
add_filter( 'mce_external_plugins', 'wst_add_shortcode_plugins' );
add_filter( 'mce_buttons', 'wst_register_shortcode_buttons' );
}
}
add_action('init', 'wst_buttons');