<?php

/**
* shortcodes
*/

	add_shortcode('recent-posts','recent_posts_cb');

/**
* shortcodes callback functions
*/

function recent_posts_cb($atts,$content){
		$atts = shortcode_atts(
	array(
		'title'=>'recent posts',
		'np'=>'3',
	),$atts
	);
	extract($atts);
	if($np >= 5){$np = 4;}
	if($np <= 1){$np = 2;}
	$col = 12 / $np;
	$output = '<section class="sc-section">
					<div class="container clearfix">';
	$output .= '<h2>'.$title.'</h2>';
	$the_query = new WP_Query('showposts='.$np);
	 while ($the_query->have_posts()) : $the_query->the_post(); 
		
		$output .= '<div class="col-lg-'.$col.' col-md-'.$col.' col-sm-'.$col.' col-xs-12">';
		$output .= '<h3><a href="'.get_permalink().'">'.get_the_title().'</a></h3>';
			if ( has_post_thumbnail() ) {
					$output .= '<div class="entry-thumbnail">';
					$output .= get_the_post_thumbnail(get_the_id(),'fp_thumbnail',array('class'=>'img-responsive')); 
					$output .='</div>';
				 }
				$output .= '<div class="">';
				$output .= excerpt(10,false);  
				$output .= '</div></div>';
		 endwhile;
$output .= '</div>
				</section>';
	return $output;
}
