<?php

/**
* shortcodes
*/

	add_shortcode('slider','slider_cb');

/**
* shortcodes callback functions
*/

function slider_cb(){
	$slider = get_option( 'wst_slider_setting' );
	if(empty($slider)) return '<h1>you must complete your slider inputs in theme options page</h1>';
	extract($slider);
	$repeated = 0;
	$output = '';
	$active = 'active';

	for ($i=1; $i <= 10; $i++) { 

		$iimage = 'image'.$i;
		$llink = 'link'.$i;
		$ccaption = 'caption'.$i;
		if ($$iimage != '' && is_image($$iimage)) {
			
			$images .= '<div class="'.$active.' item">';
			if($$llink != '')$images .= '<a href="'.$$llink.'">';
			$images .= '<img src="'.$$iimage.'" alt="slider image">';
			if($$llink != '')$images .= '</a> ';
			if($$ccaption != '') $images .= '<div class="carousel-caption"><p>'.$$ccaption.'</p></div>';
			$images .= '</div>';
			$repeated++;
			$active = '';
		}
	}
	
	$output .= '<div id="carouselwrapper" class="sc-section"><div id="myCarousel" class="carousel slide container">
				<ol class="carousel-indicators">';
	for ($i=0; $i < $repeated; $i++) { 
		$output .= '<li data-target="#myCarousel" data-slide-to="'.$i.'"></li>';
	}
	$output .= '</ol>
		<section class="carousel-inner">';
	$output .= $images;
	$output .= '</section>
		<a href="#myCarousel" class="left carousel-control glyphicon glyphicon-chevron-left" data-slide="prev"  ></a>
		<a href="#myCarousel" class="right carousel-control glyphicon glyphicon-chevron-right" data-slide="next" ></a>
	</div></div>';
	add_action('wp_footer', function(){
		echo "<script type='text/javascript'>$('#myCarousel').carousel({interval:5000,cycle:true});</script>";
	});
	return $output ;
}

/**
* functions
*/
function is_image($path) 
{ 
	$filename = array_pop(explode('/', $path));

	$mimes = array('image/gif','image/jpg','image/jpeg','image/png');
	$mime = getimagesize($path);
	$mime = $mime['mime'];
	$extensions = array('jpg','png','gif','jpeg');
	$extension = strtolower( pathinfo( $path,PATHINFO_EXTENSION ) );
	if ( in_array( $extension , $extensions ) AND in_array(
	$mime, $mimes ) ) return TRUE;
	else return FALSE;
} 

