<?php
function swt_register_theme_options()
{
	wp_deregister_script('jquery');
	wp_register_script('jquery', get_template_directory_uri() . '/js/jquery-1.7.1.min.js');
	wp_enqueue_script('jquery');
	
	wp_register_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js');
	wp_enqueue_script('bootstrap');
	
	//sizes : (col4 : 333),(col3 : 280),(col8 : 710) , (sidebar : 95)
	//max-width : 1175PX
	add_theme_support('post-thumbnails');
    set_post_thumbnail_size( 710, 999,true);
	add_image_size( 'fp_thumbnail',290,190, true );
	add_image_size( 'loop',333,215, true );
	add_image_size( 'rp_thumbnail',95,95, true );

	//primary navigation
	register_nav_menus( array(
	    'primary'   => 'top navigation menu'
	) );
}
add_action("after_setup_theme","swt_register_theme_options");

// Adds Twitter and facebook as an option under user profile
function wst_contactmethods( $contactmethods ) {
    $contactmethods['facebook'] = 'facebook';
    $contactmethods['twitter'] = 'Twitter';
    return $contactmethods;
}
add_filter('user_contactmethods','wst_contactmethods',10,1);

require_once('inc/wp_bootstrap_navwalker.php');

include('lib/posts.class');
include('lib/admin-options.class');
include("widgets/widgets_config.php");
include("shortcodes/shortcodes.php");



