<?php

function theme_widgets_init() {
   
    register_sidebar( array(
        'name' =>  'Sidebar Widgets' ,
        'id' => 'sidebar-aside',
        'description' =>  'Right or left sidebar' ,
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ) );

    
    
}
add_action( 'widgets_init', 'theme_widgets_init' );

// add admin scripts
add_action('admin_enqueue_scripts', 'wst_admin_scripts');
function wst_admin_scripts() {
    wp_enqueue_media();
    wp_enqueue_script('widget_script', get_template_directory_uri() .
        '/widgets/widget.js', false, '1.0', true);
}

